public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-db/pg_background/
@ 2024-06-14 22:09 Miroslav Šulc
  0 siblings, 0 replies; only message in thread
From: Miroslav Šulc @ 2024-06-14 22:09 UTC (permalink / raw
  To: gentoo-commits

commit:     a144f47d697942c07e616d3b4d29f1c95ec9781b
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 14 22:09:12 2024 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Fri Jun 14 22:09:27 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a144f47d

dev-db/pg_background: new package

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-db/pg_background/Manifest                 |  1 +
 dev-db/pg_background/metadata.xml             | 11 ++++++++++
 dev-db/pg_background/pg_background-1.2.ebuild | 30 +++++++++++++++++++++++++++
 3 files changed, 42 insertions(+)

diff --git a/dev-db/pg_background/Manifest b/dev-db/pg_background/Manifest
new file mode 100644
index 000000000000..489edc250c39
--- /dev/null
+++ b/dev-db/pg_background/Manifest
@@ -0,0 +1 @@
+DIST pg_background-1.2.tar.gz 30870 BLAKE2B 809a66ddbe989fe0503f3c5fefd088e8c11338e3cbe44fd5ce0c5c3967a46339a60546d38d3177cc7382c6efd4cf76ca8207f0ab1c668f5582529e5e3229c4b7 SHA512 f4449eae750451286aa5bc8ffd941d2aeb75ff9801f0ed1d902674dfd362eab1ed72783c86ae1b8058dd8e995b441fd669409989cb69fcb237414422cd1b63af

diff --git a/dev-db/pg_background/metadata.xml b/dev-db/pg_background/metadata.xml
new file mode 100644
index 000000000000..2caf1921afa7
--- /dev/null
+++ b/dev-db/pg_background/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>fordfrog@gentoo.org</email>
+		<name>Miroslav Šulc</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">vibhorkum/pg_background</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-db/pg_background/pg_background-1.2.ebuild b/dev-db/pg_background/pg_background-1.2.ebuild
new file mode 100644
index 000000000000..318571305d31
--- /dev/null
+++ b/dev-db/pg_background/pg_background-1.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+POSTGRES_COMPAT=( 13 14 15 16 )
+
+inherit postgres-multi
+
+DESCRIPTION="Postgres Background Worker"
+HOMEPAGE="https://github.com/vibhorkum/pg_background"
+SRC_URI="https://github.com/vibhorkum/pg_background/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+
+SLOT=0
+KEYWORDS="~amd64"
+
+RESTRICT="test"
+
+DEPEND="${POSTGRES_DEP}"
+RDEPEND="${DEPEND}"
+
+src_compile() {
+	postgres-multi_foreach emake || die "emake failed"
+}
+
+src_install() {
+	postgres-multi_foreach emake DESTDIR="${D}" install
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2024-06-14 22:09 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-06-14 22:09 [gentoo-commits] repo/gentoo:master commit in: dev-db/pg_background/ Miroslav Šulc

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox